Package org.springframework.jdbc.datasource.embedded

# Class EmbeddedDatabaseConfigurers

java.lang.Object
org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseConfigurers

public abstract class EmbeddedDatabaseConfigurers extends Object
Maps well-known embedded database types to `EmbeddedDatabaseConfigurer` strategies.

Since:
  6.2
Author:
  Keith Donald, Oliver Gierke, Sam Brannen, Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedDatabaseConfigurers()`

## Method Summary

Modifier and Type
Method
Description
`static EmbeddedDatabaseConfigurer`
`customizeConfigurer(EmbeddedDatabaseType type, UnaryOperator<EmbeddedDatabaseConfigurer> customizer)`
Customize the default configurer for the given embedded database type.
`static EmbeddedDatabaseConfigurer`
`getConfigurer(EmbeddedDatabaseType type)`
Return a configurer instance for the given embedded database type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedDatabaseConfigurers

public EmbeddedDatabaseConfigurers()

## Method Details

### getConfigurer

public static EmbeddedDatabaseConfigurer getConfigurer(EmbeddedDatabaseType type)
Return a configurer instance for the given embedded database type.

Parameters:
  `type` - the embedded database type
Returns:
  the configurer instance
Throws:
  `IllegalStateException` - if the driver for the specified database type is not available

### customizeConfigurer

public static EmbeddedDatabaseConfigurer customizeConfigurer(EmbeddedDatabaseType type, UnaryOperator<EmbeddedDatabaseConfigurer> customizer)
Customize the default configurer for the given embedded database type.

The `customizer` typically uses `EmbeddedDatabaseConfigurerDelegate` to customize things as necessary.

Parameters:
  `type` - the embedded database type
  `customizer` - the customizer to return based on the default
Returns:
  the customized configurer instance
Throws:
  `IllegalStateException` - if the driver for the specified database type is not available